<!DOCTYPE html>
<html lang="en">
<head>
    <script src="{{ csset('/js/plugins/vue/vue@2.6.11.js') }}"></script>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta http-equiv="Content-Security-Policy" content="upgrade-insecure-requests" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=0">
    <meta name="csrf-token" content="{{ csrf_token() }}">
	<meta property="og:image" content="/public/themes/kbgolf/pro/resources/images/og_img.png">
    <script src="https://t1.kakaocdn.net/kakao_js_sdk/2.1.0/kakao.min.js" integrity="sha384-dpu02ieKC6NUeKFoGMOKz6102CLEWi9+5RQjWSV0ikYSFFd8M3Wp2reIcquJOemx" crossorigin="anonymous"></script>
    <script src="https://static.nid.naver.com/js/naveridlogin_js_sdk_2.0.1.js"></script>
    <script src="{{ csset('/js/iziToast.js') }}"></script>
    <script src="{{ csset('/js/components/screen-size.js') }}"></script>
    <?php
        // used for RESS
        // if ( !Cookie::has('resolution') ) // doesn't work
        if ( !isset( $_COOKIE['screenWidth'] ) || !isset( $_COOKIE['screenHeight']) )
        {
    ?>
        <script>get_screen_size()</script>
    <?php
        }
    ?>
    @stack('meta')

    @php $seoHtml = App\Helpers\Utils::getSeoHtml(); @endphp
    @empty ($seoHtml)
        <title>{{ env('APP_NAME') }}</title>
        <link rel="icon" href="{{ msset(env('FAVICON_PATH')) }}" type="image/x-icon">
    @else
        {!! $seoHtml !!}
    @endempty

    <!-- Google Fonts -->
    <link href="https://fonts.googleapis.com/css?family=Ubuntu:300,300i,400,400i,500,500i,700,700i&display=swap" rel="stylesheet">
    <link href="{{ csset('/css/iziToast.css') }}" rel="stylesheet">
    @php $basePath = '/themes/kbgolf/pro/resources'; @endphp

    @include('views.partial.site.meta', [ 'basePath' => $basePath ])
    @include('views.partial.site.scripts', [ 'basePath' => $basePath ])

    @stack('css')

</head>


<!-- page wrapper -->
<body class="boxed_wrapper">
    @inject('callApiService', 'App\Services\CallApiService')

    @php
        $mainMenuPerm = App\Helpers\Utils::getProMainMenu();
        $mainMenuPermPage = collect($mainMenuPerm['Page'])->filter(function ($menu) {
            return $menu['Sort'] === 'primary';
        })->toArray();
         $topMenuPermPage = collect($mainMenuPerm['Page'])->filter(function ($menu) {
            return $menu['Sort'] === 'top';
        })->toArray();
        $mainMenuList = App\Helpers\Utils::formatMenuList($mainMenuPermPage, 'MenuCode');
        $topMenuList = App\Helpers\Utils::formatMenuList($topMenuPermPage, 'MenuCode');
    @endphp

    @include('layouts.js-lang')
    @include('vendor.lara-izitoast.toast')
    <div id="quick-launcher"></div>
	<div id="quick-launcher">
		<div class="dabory-quick-B quick-launcher quick_kbgolf">
            <ul>
                <li>
                    <button type="button" class="return-to-bottom">
                        <span class="ico ico-bottom"></span>
                    </button>
                </li>
                <li>
					<dl class="quick_tel">
						<dt>회원권 문의</dt>
						<dd>
							본사
                            <div onclick="document.location.href='tel:02-572-1888'"><strong>02-572-1888</strong></div>
                            <!-- <strong>02-572-1888</strong> -->
						</dd>
						<dd>
							충청지사
                            <div onclick="document.location.href='tel:044-863-1889'"><strong>044-863-1889</strong></div>
                            <!-- <strong>044-863-1889</strong> -->
						</dd>
					</dl>
				</li>

                <li>
                    <button type="button" id="naver-login-button" class="show-widget-btn" data-widget="naver">
                    <img src="{{ asset('themes/kbgolf/pro/resources/images/icn_navertalk.png') }}" alt="naver">
                    <p class="txt">네이버 톡톡</p>
                </li>
                <li>
                    <button type="button" id="kakao-login-button" class="show-widget-btn" data-widget="kakao">
                    <img src="{{ asset('themes/kbgolf/pro/resources/images/icn_kakaotalk.png') }}" alt="kakao">
                    <p class="txt">카카오 플러스 친구</p>
                </li>
                <li>
                    <button type="button" class="return-to-top">
                        <span class="ico ico-top"></span>
                    </button>
                </li>
            </ul>
        </div>
	</div>

    <!-- main header -->
    @include('views.layouts.main-header')
    <!-- main-header end -->

    <!-- Mobile Menu  -->
    @include('views.layouts.mobile-menu')
    <!-- End Mobile Menu -->

    <div id="app">
        @yield('content')
    </div>

    <!-- main-footer -->
    @include('views.layouts.footer')
    <!-- main-footer end -->


    <!-- sidebar cart item -->
    @include('views.layouts.sidebar')
    <!-- END sidebar widget item -->

    <!--Scroll to top-->
    <button class="scroll-top scroll-to-target" data-target="html">
        <span class="fa fa-arrow-up"></span>
    </button>

    <div id="element_in_which_to_insert">
        @yield('modal')
        @stack('modal')
    </div>

    @yield('js')
    @stack('js')

    <script src="{{ csset($basePath . '/js/script.js') }}"></script>

</body><!-- End of .page_wrapper -->

<script>
    window.env = (@json($_ENV));
    window.Member = @json(session('member'));
    window.CodeTitle = @json($codeTitle ?? '');
</script>

{{--<script src="{{ asset('/dabory/js/widget.js?serverUrl=https://safebanner.daboryhost.com&api23Key=XJAL+1IF4/EgIVcuTvcAOoH9ASKjnQje71boZaGpzwVyVcCoVRsxzyMee5goucaC6cWxzLdEcYfIkfj6bLukvs9+lOeUa3CLqpCbhd7v99Bxm011kxUllDLY8/NrXFVn8aa1e57jygREHo7xF2LWOJ9LHc2idRmQ9rXbI46sgiZBwPmi6E/mACBIjUcKq+uviA==') }}"></script>--}}

<script>
    Kakao.init(window.env.KAKAO_JAVASCRIPT_KEY);
    $(document).ready(function () {
        // $.fn.widget.loadModule(function () {
        //     $('#quick-launcher').quick()
        // })

        $('.show-widget-btn').on('click', function() {
            var widgetType = $(this).data('widget');
            socialLogin(widgetType);
        });
    });

    function socialLogin(widgetType){
        if(widgetType == 'naver'){
            var apiUrl = 'https://nid.naver.com/oauth2.0/authorize?response_type=code&client_id=' +
                            window.env.NAVER_CLIENT_ID + '&redirect_uri=' +
                            window.env.NAVER_CALLBACK_URL + '&state=' + generateState();
            var popup = window.open(apiUrl, '_blank', 'width=600,height=600');

        }else if(widgetType == 'kakao'){
            var apiUrl = 'https://kauth.kakao.com/oauth/authorize?response_type=code&client_id=' +
                            window.env.KAKAO_JAVASCRIPT_KEY + '&redirect_uri=' +
                            window.env.KAKAO_CALLBACK_URL + '&state=' + generateState();
            var popup = window.open(apiUrl, '_blank', 'width=600,height=600');
        }
    }

    function generateState() {
        var mt = new Date().getTime().toString();
        var rand = Math.random().toString(36).substr(2);
        var stateValue = mt + rand;
        var encodedState = encodeURIComponent(stateValue); // URL 인코딩
        return encodedState;
    }

</script>

</html>
